package com.yd.api.agms.vo.fortune;

/**
 * @author xxy
 */
public class ExportFortunePayRequestVO {
    /**
     * 预计发佣年月
     */
    private String payoutYearmonth;

    /**
     * 分公司
     */
    private Long insurerBranchId;

    /**
     * 营业部
     */
    private Long insurerBranchDeptId;

    /**
     * 体系
     */
    private Long subordinateSystemId;

    /**
     * 经纪人
     */
    private Long practitionerId;

    /**
     * 发佣状态  暂不开放  可发  保留  已发并关账
     */
    private Long commissionPayoutStatus;

    /**
     * 获取 预计发佣年月
     *
     * @return payoutYearmonth 预计发佣年月
     */
    public String getPayoutYearmonth() {
        return this.payoutYearmonth;
    }

    /**
     * 设置 预计发佣年月
     *
     * @param payoutYearmonth 预计发佣年月
     */
    public void setPayoutYearmonth(String payoutYearmonth) {
        this.payoutYearmonth = payoutYearmonth;
    }

    /**
     * 获取 分公司
     *
     * @return insurerBranchId 分公司
     */
    public Long getInsurerBranchId() {
        return this.insurerBranchId;
    }

    /**
     * 设置 分公司
     *
     * @param insurerBranchId 分公司
     */
    public void setInsurerBranchId(Long insurerBranchId) {
        this.insurerBranchId = insurerBranchId;
    }

    /**
     * 获取 营业部
     *
     * @return insurerBranchDeptId 营业部
     */
    public Long getInsurerBranchDeptId() {
        return this.insurerBranchDeptId;
    }

    /**
     * 设置 营业部
     *
     * @param insurerBranchDeptId 营业部
     */
    public void setInsurerBranchDeptId(Long insurerBranchDeptId) {
        this.insurerBranchDeptId = insurerBranchDeptId;
    }

    /**
     * 获取 体系
     *
     * @return subordinateSystemId 体系
     */
    public Long getSubordinateSystemId() {
        return this.subordinateSystemId;
    }

    /**
     * 设置 体系
     *
     * @param subordinateSystemId 体系
     */
    public void setSubordinateSystemId(Long subordinateSystemId) {
        this.subordinateSystemId = subordinateSystemId;
    }

    /**
     * 获取 经纪人
     *
     * @return practitionerId 经纪人
     */
    public Long getPractitionerId() {
        return this.practitionerId;
    }

    /**
     * 设置 经纪人
     *
     * @param practitionerId 经纪人
     */
    public void setPractitionerId(Long practitionerId) {
        this.practitionerId = practitionerId;
    }

    /**
     * 获取 发佣状态  暂不开放  可发  保留  已发并关账
     *
     * @return commissionPayoutStatus 发佣状态  暂不开放  可发  保留  已发并关账
     */
    public Long getCommissionPayoutStatus() {
        return this.commissionPayoutStatus;
    }

    /**
     * 设置 发佣状态  暂不开放  可发  保留  已发并关账
     *
     * @param commissionPayoutStatus 发佣状态  暂不开放  可发  保留  已发并关账
     */
    public void setCommissionPayoutStatus(Long commissionPayoutStatus) {
        this.commissionPayoutStatus = commissionPayoutStatus;
    }

    @Override
    public String toString() {
        return "ExportFortunePayRequestVO{" +
                "payoutYearmonth='" + payoutYearmonth + '\'' +
                ", insurerBranchId=" + insurerBranchId +
                ", insurerBranchDeptId=" + insurerBranchDeptId +
                ", subordinateSystemId=" + subordinateSystemId +
                ", practitionerId=" + practitionerId +
                ", commissionPayoutStatus=" + commissionPayoutStatus +
                '}';
    }
}
